### Function

# Gdk cairo_set_source_pixbuf

since: 4.0

#### Declaration [src]

    void
    gdk_cairo_set_source_pixbuf (
      cairo_t* cr,
      const GdkPixbuf* pixbuf,
      double pixbuf_x,
      double pixbuf_y
    )

#### Description [src]

Sets the given pixbuf as the source pattern for `cr`.

The pattern has an extend mode of `CAIRO_EXTEND_NONE` and is aligned so that the origin of `pixbuf` is `pixbuf_x`, `pixbuf_y`.

Available since: 4.0

#### Parameters

`cr`

  Type: `cairo_t`

  A cairo context.

  The data is owned by the caller of the function.

`pixbuf`

  Type: `GdkPixbuf`

  A `GdkPixbuf`

  The data is owned by the caller of the function.

`pixbuf_x`

  Type: `double`

  X coordinate of location to place upper left corner of `pixbuf`.

`pixbuf_y`

  Type: `double`

  Y coordinate of location to place upper left corner of `pixbuf`.